Source: https://developers.woosmap.com/api-reference/datasets-api/post-datasets-hooks-reimport-reimport_key/

> For clean Markdown of any page, append `.md` to the page URL.

> For a complete documentation index, see https://developers.woosmap.com/llms.txt

# Reimport Dataset Webhook



# Reimport Dataset Webhook

 POST 
https://api.woosmap.com/datasets/hooks/reimport/{reimport\_key}

Triggers the reimport of the dataset linked to the dataset.

**Rate limit** : `1/90s`

**Ratelimit:** 1/90s

### Authorization

### Path Parameters

[`reimport_key`](#path-reimport-key)
stringrequired

### Response

202application/json

Successful Response

[`dataset_id`](#resp-202-dataset-id)
string (uuid)required

The dataset id that was scheduled for import.

### Errors

#401

Unauthorized

 #402

Payment Required

 #403

Forbidden

 #404

Dataset was not found

 

`application/json`

[`details`](#err-404-details)
stringrequired

#422

Validation Error

 

`application/json`

[`detail`](#err-422-detail)
object[]

Show 3 propertiesHide 3 properties

detail.[`loc`](#err-422-detail-loc)
any[]required

detail.[`msg`](#err-422-detail-msg)
stringrequired

detail.[`type`](#err-422-detail-type)
stringrequired

#429

Rate limit reached

 

`application/json`

[`details`](#err-429-details)
stringrequired

```shell
curl -L 'https://api.woosmap.com/datasets/hooks/reimport/my_reimport_key?private_key=YOUR_PRIVATE_API_KEY' \
-H 'content-type: application/json' \
-d '{}'
```

```javascript
const myHeaders = new Headers();
myHeaders.append("content-type", "application/json");

const raw = JSON.stringify({});

const requestOptions = {
  method: "POST",
  headers: myHeaders,
  body: raw,
  redirect: "follow"
};

fetch("https://api.woosmap.com/datasets/hooks/reimport/my_reimport_key?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

```python
import requests
import json

url = "https://api.woosmap.com/datasets/hooks/reimport/my_reimport_key?private_key=YOUR_PRIVATE_API_KEY"

payload = json.dumps({})
headers = {
    'content-type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```
